- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# geos::algorithm::InteriorPointArea Class Reference

Computes a point in the interior of an area geometry. More...

`#include <InteriorPointArea.h>`

List of all members.

## Public Member Functions
| InteriorPointArea (const geom::Geometry *g)
bool | getInteriorPoint (geom::Coordinate &ret) const
void | addPolygon (const geom::Geometry *geometry)
| Finds a reasonable point at which to label a Geometry.

## Detailed Description

Computes a point in the interior of an area geometry.

## Algorithm

- Find the intersections between the geometry and the horizontal bisector of the area's envelope
- Pick the midpoint of the largest intersection (the intersections will be lines and points)

Note: If a fixed precision model is used, in some cases this method may return a point which does not lie in the interior.

## Member Function Documentation

void geos::algorithm::InteriorPointArea::addPolygon | ( | const geom::Geometry * | geometry | ) |

Finds a reasonable point at which to label a Geometry.

Parameters:

  | geometry | the geometry to analyze

Returns:
  the midpoint of the largest intersection between the geometry and a line halfway down its envelope

The documentation for this class was generated from the following file:

- InteriorPointArea.h